/*
 * Copyright 2008 De Post, N.V. - La Poste, S.A. All rights reserved
 */
package com.service.echo.v1;

import javax.ejb.Stateless;
import javax.jws.WebService;

@Stateless
@WebService(serviceName="EchoServicePorts",
            portName="SoapPort",
            targetNamespace="http://service.com/echo/v1/",
            wsdlLocation="/META-INF/wsdl/echo/EchoService.wsdl",
            endpointInterface="com.service.echo.v1.EchoService")
public class EchoServiceBean implements EchoService {

    /**
     * {@inheritDoc}
     */
    public String getEcho(String id) {
        return "response: " +id;
    }

}
